Bug 668797 - wallaby subcommands with required arguments should fail when no arguments are provided
wallaby subcommands with required arguments should fail when no arguments are...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
1.3
All Linux
low Severity medium
: 1.3.2
: ---
Assigned To: Will Benton
Lubos Trilety
:
Depends On: 635628 668798
Blocks: 668432
  Show dependency treegraph
 
Reported: 2011-01-11 11:41 EST by Will Benton
Modified: 2011-02-15 07:17 EST (History)
4 users (show)

See Also:
Fixed In Version: wallaby-0.10.2-1
Doc Type: Bug Fix
Doc Text:
Some wallaby subcommands which took arguments incorrectly returned with a 0 (zero) exit code, indicating success, even when the required arguments were omitted. With this update, those wallaby subcommands exit with a non-zero exit code when the required arguments are not supplied, as expected.
Story Points: ---
Clone Of: 635628
Environment:
Last Closed: 2011-02-15 07:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Will Benton 2011-01-14 15:03:52 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C:  Some wallaby utilities that take entity names as arguments did nothing successfully and exited with success statuses if no arguments were provided.
C:  This behavior may have been confusing for some users.
F:  The  user interfaces for commands that have required arguments have been changed so that failing to supply an argument will result in the command exiting with a failure code.
R:  Users should find that the exit-status behavior of these wallaby utilities is now more consistent with their expectations.
Comment 3 Lubos Trilety 2011-01-27 09:28:22 EST
Tested with (version):
wallaby-0.10.4-1

Tested on:
RHEL5 i386,x86_64  - passed

>>> VERIFIED
Comment 4 Douglas Silas 2011-02-09 13:19:14 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-C:  Some wallaby utilities that take entity names as arguments did nothing successfully and exited with success statuses if no arguments were provided.
+Some wallaby subcommands which took arguments incorrectly returned with a 0 (zero) exit code, indicating success, even when the required arguments were omitted. With this update, those wallaby subcommands exit with a non-zero exit code when the required arguments are not supplied, as expected.-C:  This behavior may have been confusing for some users.
-F:  The  user interfaces for commands that have required arguments have been changed so that failing to supply an argument will result in the command exiting with a failure code.
-R:  Users should find that the exit-status behavior of these wallaby utilities is now more consistent with their expectations.
Comment 5 errata-xmlrpc 2011-02-15 07:17:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0217.html

Note You need to log in before you can comment on or make changes to this bug.